Closed Bug 1170104 Opened 5 years ago Closed 4 years ago

[RTL][Dialer]The "Conference (2)" string and phone number overlaps with phone icon on conference call screen.

Categories

(Firefox OS Graveyard :: Gaia::Dialer, defect, P3)

ARM
Gonk (Firefox OS)
defect

Tracking

(b2g-v2.2 affected, b2g-master affected)

RESOLVED WORKSFORME
Tracking Status
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: yue.xia, Unassigned)

References

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(3 files)

Attached image N5_Screenshot.png
[1.Description]:
According to comment 8 in bug 1141428, this bug filled.
[Nexus 5][v2.2&v3.0][Dialer]Make a conference call, the phone number overlaps with phone icon. Then it receives another call and pick it up, the "Conference (2)" string and phone number overlaps with phone icon too.
See attachment: N5_Screenshot.png

[2.Testing Steps]: 
Precondition: Insert an active SIM card that supports conference call into device and set system language to Arabic.
1. MO a call.
2. Receive a call from another device.
3. Merge these 2 calls.
4. Receive another call, and pick it up.

[3.Expected Result]: 
2. The phone icon should be right-aligned and locate at the right side of phone numbers, and should not overlaps with  phone number.
4. The phone icon should be right-aligned and locate at the right side of phone numbers/"Conference (2)" string, and should not overlaps with  phone number and "Conference (2)" string.

[4.Actual Result]: 
2. The phone numbers overlaps with phone icon.
4. The phone numbers and "Conference (2)" string overlaps with phone icon.

[5.Reproduction build]: 
Device: Flame 2.2 (unaffected)
Build ID               20150531162502
Gaia Revision          b4582cc394e0919623263997c0cdb0b4751a1403
Gaia Date              2015-05-31 11:06:34
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/78d8b0a4303d
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150531.195816
Firmware Date          Sun May 31 19:58:28 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (unaffected)
Build ID               20150531160203
Gaia Revision          e6dc0f4c583407a4a52a66ce7cb11f058302a762
Gaia Date              2015-05-29 17:20:26
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f8d21278244b
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150531.192324
Firmware Date          Sun May 31 19:23:35 EDT 2015
Bootloader             L1TC000118D0

Device: N5 2.2 (Affected)
Build ID               20150531002502
Gaia Revision          0a46394dbee0ed2eb71a136cee38ddd8549dd597
Gaia Date              2015-05-30 14:50:16
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/ed2f6aeb1d81
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150531.043812
Firmware Date          Sun May 31 04:38:27 EDT 2015
Bootloader             HHZ12f

Device: N5 3.0 (Affected)
Build ID               20150531160203
Gaia Revision          e6dc0f4c583407a4a52a66ce7cb11f058302a762
Gaia Date              2015-05-29 17:20:26
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f8d21278244b
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150531.192050
Firmware Date          Sun May 31 19:21:07 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
QA Whiteboard: [rtl-impact]
Aren't these 2 separate issues listed here?
Triage: P3  --  edge case, and doesn't prevent functionality
Priority: -- → P3
 This issue can be reproduced on lastest build of AriesKK v2.5.
Rate:5/5
Device:Aries KK_V2.5[Affected]
Build ID               20150806203229
Gaia Revision          7f387f859d48f9ad0761637c78447dc524747738
Gaia Date              2015-08-06 15:21:13
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/03e3d77d1b6b
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150806.195600
Firmware Date          Thu Aug  6 19:56:08 UTC 2015
Bootloader             s1
Blocks: 1181927
This issue cannot be reproduced on latest FlameKK v2.5&master, AriesKK master build by the same STR in comment 0.
Actual result:Phone numbers and "Conference (2)" string does not overlap with phone icon in conference view.
See attachment:Conference_v2.5&master.png.
Reproducing rate:0/10

FlameKK v2.5 build(512mb):
Build ID               20151102004502
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/b6b410d4610da18f5e43750e67ed2c56a0c0f812
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151102.042848
Firmware Date          Mon Nov  2 04:29:02 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

FlameKK master build(512mb):
Build ID               20151102150204
Gaia Revision          7954ff0cbd794a35499a1082bed273598f82ee6f
Gaia Date              2015-11-02 17:35:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6275cd9c71b76891f6b6585dabc687bc443ab877
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151102.182914
Firmware Date          Mon Nov  2 18:29:28 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

AriesKK master build:
Build ID               20151103000930
Gaia Revision          7954ff0cbd794a35499a1082bed273598f82ee6f
Gaia Date              2015-11-02 17:35:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/9f69202d82752e093a653a8f15b0274e347db33a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151102.233051
Firmware Date          Mon Nov  2 23:30:58 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Closed: 4 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.